Page MenuHomePhabricator

Add support for wikidata tag to iD (OpenStreetMap)
Closed, ResolvedPublic

Description

At OpenStreetMap, the wikipedia tag is widely used but wikidata less so. A number of us OpenStreetMedians are pushing for wikidata to be used more and eventually supplant wikipedia, since its entity IDs are language-neutral and potentially more stable than Wikipedia article titles. For wikidata to be used more, it needs to be very easy to use in popular OSM editors, particularly iD.

https://github.com/openstreetmap/iD/issues/2680 is the general “support Wikidata” ticket for iD.
https://github.com/openstreetmap/iD/pull/2732 is a pull request to add basic support that rides along with the existing Wikipedia support.

I’m working on this during the Wikimania 2015 hackathon.

Event Timeline

mxn created this task.Jul 16 2015, 9:15 PM
mxn claimed this task.
mxn raised the priority of this task from to Needs Triage.
mxn updated the task description. (Show Details)
mxn added a subscriber: mxn.
Restricted Application added a project: Discovery. · View Herald TranscriptJul 16 2015, 9:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

What is the status of this task, now that Wikimania 2015 is over? Did this hacking project take place and was successfully finished? If yes: Please provide an update and potentially summarize findings / provide a link to anything relevant (and if the task is not completely finished yet, please move the project to the "Work continues after Mexico City" column on the #Wikimania-Hackathon-2015 workboard). If no: Please edit this task by removing the #Wikimania-Hackathon-2015 project from this task. Thanks for your help and keeping this task updated!

Qgil added a subscriber: Qgil.Sep 16 2015, 10:16 AM

A message to all open tasks related to the #Wikimania-Hackathon-2015. What do you need to complete this task? Do you need support from the Wikimedia Foundation to push it forward? Help promoting this project? Finding an intern to work on it? Organizing a developer sprint? Pitching it to WMF teams? Applying for a grant? If you need support, share your request at T107423: Evaluate which projects showcased at the Wikimania Hackathon 2015 should be supported further or contact me personally. Thank you!

I haven’t completed this task yet; it’s on my backlog but I’ll be getting to it eventually.

Yurik moved this task from All map-related tasks to Related on the Maps board.Feb 7 2016, 10:24 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 7 2016, 10:24 PM
Yurik moved this task from Related to Tracking on the Maps board.Feb 8 2016, 10:48 AM
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Apr 21 2016, 1:52 PM
mxn closed this task as Resolved.May 27 2016, 1:12 AM

iD’s maintainer was generous enough to complete and merge the PR I started. The Wikidata field will appear in the next iD release. Closing.